Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network192.168.78.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
192.168.78.0
Broadcast address
192.168.79.255
First usable
192.168.78.1
Last usable
192.168.79.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Private (RFC 1918) 192.168.0.0/16
Office and home networks; not routed on the internet
Old class
C (default /24)
As numbers
Hex C0A84E00 · Integer 3232255488 to 3232255999
Reverse DNS zones
78.168.192.in-addr.arpa
79.168.192.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000000.10101000.01001110.00000000192.168.78.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network11000000.10101000.01001110.00000000192.168.78.0
Broadcast11000000.10101000.01001111.11111111192.168.79.255
Split into smaller subnets/30

192.168.78.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1192.168.78.0/30192.168.78.1 to 192.168.78.2192.168.78.32
2192.168.78.4/30192.168.78.5 to 192.168.78.6192.168.78.72
3192.168.78.8/30192.168.78.9 to 192.168.78.10192.168.78.112
4192.168.78.12/30192.168.78.13 to 192.168.78.14192.168.78.152
5192.168.78.16/30192.168.78.17 to 192.168.78.18192.168.78.192
6192.168.78.20/30192.168.78.21 to 192.168.78.22192.168.78.232
7192.168.78.24/30192.168.78.25 to 192.168.78.26192.168.78.272
8192.168.78.28/30192.168.78.29 to 192.168.78.30192.168.78.312
9192.168.78.32/30192.168.78.33 to 192.168.78.34192.168.78.352
10192.168.78.36/30192.168.78.37 to 192.168.78.38192.168.78.392
11192.168.78.40/30192.168.78.41 to 192.168.78.42192.168.78.432
12192.168.78.44/30192.168.78.45 to 192.168.78.46192.168.78.472
13192.168.78.48/30192.168.78.49 to 192.168.78.50192.168.78.512
14192.168.78.52/30192.168.78.53 to 192.168.78.54192.168.78.552
15192.168.78.56/30192.168.78.57 to 192.168.78.58192.168.78.592
16192.168.78.60/30192.168.78.61 to 192.168.78.62192.168.78.632
17192.168.78.64/30192.168.78.65 to 192.168.78.66192.168.78.672
18192.168.78.68/30192.168.78.69 to 192.168.78.70192.168.78.712
19192.168.78.72/30192.168.78.73 to 192.168.78.74192.168.78.752
20192.168.78.76/30192.168.78.77 to 192.168.78.78192.168.78.792
21192.168.78.80/30192.168.78.81 to 192.168.78.82192.168.78.832
22192.168.78.84/30192.168.78.85 to 192.168.78.86192.168.78.872
23192.168.78.88/30192.168.78.89 to 192.168.78.90192.168.78.912
24192.168.78.92/30192.168.78.93 to 192.168.78.94192.168.78.952
25192.168.78.96/30192.168.78.97 to 192.168.78.98192.168.78.992
26192.168.78.100/30192.168.78.101 to 192.168.78.102192.168.78.1032
27192.168.78.104/30192.168.78.105 to 192.168.78.106192.168.78.1072
28192.168.78.108/30192.168.78.109 to 192.168.78.110192.168.78.1112
29192.168.78.112/30192.168.78.113 to 192.168.78.114192.168.78.1152
30192.168.78.116/30192.168.78.117 to 192.168.78.118192.168.78.1192
31192.168.78.120/30192.168.78.121 to 192.168.78.122192.168.78.1232
32192.168.78.124/30192.168.78.125 to 192.168.78.126192.168.78.1272
33192.168.78.128/30192.168.78.129 to 192.168.78.130192.168.78.1312
34192.168.78.132/30192.168.78.133 to 192.168.78.134192.168.78.1352
35192.168.78.136/30192.168.78.137 to 192.168.78.138192.168.78.1392
36192.168.78.140/30192.168.78.141 to 192.168.78.142192.168.78.1432
37192.168.78.144/30192.168.78.145 to 192.168.78.146192.168.78.1472
38192.168.78.148/30192.168.78.149 to 192.168.78.150192.168.78.1512
39192.168.78.152/30192.168.78.153 to 192.168.78.154192.168.78.1552
40192.168.78.156/30192.168.78.157 to 192.168.78.158192.168.78.1592
41192.168.78.160/30192.168.78.161 to 192.168.78.162192.168.78.1632
42192.168.78.164/30192.168.78.165 to 192.168.78.166192.168.78.1672
43192.168.78.168/30192.168.78.169 to 192.168.78.170192.168.78.1712
44192.168.78.172/30192.168.78.173 to 192.168.78.174192.168.78.1752
45192.168.78.176/30192.168.78.177 to 192.168.78.178192.168.78.1792
46192.168.78.180/30192.168.78.181 to 192.168.78.182192.168.78.1832
47192.168.78.184/30192.168.78.185 to 192.168.78.186192.168.78.1872
48192.168.78.188/30192.168.78.189 to 192.168.78.190192.168.78.1912
49192.168.78.192/30192.168.78.193 to 192.168.78.194192.168.78.1952
50192.168.78.196/30192.168.78.197 to 192.168.78.198192.168.78.1992
51192.168.78.200/30192.168.78.201 to 192.168.78.202192.168.78.2032
52192.168.78.204/30192.168.78.205 to 192.168.78.206192.168.78.2072
53192.168.78.208/30192.168.78.209 to 192.168.78.210192.168.78.2112
54192.168.78.212/30192.168.78.213 to 192.168.78.214192.168.78.2152
55192.168.78.216/30192.168.78.217 to 192.168.78.218192.168.78.2192
56192.168.78.220/30192.168.78.221 to 192.168.78.222192.168.78.2232
57192.168.78.224/30192.168.78.225 to 192.168.78.226192.168.78.2272
58192.168.78.228/30192.168.78.229 to 192.168.78.230192.168.78.2312
59192.168.78.232/30192.168.78.233 to 192.168.78.234192.168.78.2352
60192.168.78.236/30192.168.78.237 to 192.168.78.238192.168.78.2392
61192.168.78.240/30192.168.78.241 to 192.168.78.242192.168.78.2432
62192.168.78.244/30192.168.78.245 to 192.168.78.246192.168.78.2472
63192.168.78.248/30192.168.78.249 to 192.168.78.250192.168.78.2512
64192.168.78.252/30192.168.78.253 to 192.168.78.254192.168.78.2552
65192.168.79.0/30192.168.79.1 to 192.168.79.2192.168.79.32
66192.168.79.4/30192.168.79.5 to 192.168.79.6192.168.79.72
67192.168.79.8/30192.168.79.9 to 192.168.79.10192.168.79.112
68192.168.79.12/30192.168.79.13 to 192.168.79.14192.168.79.152
69192.168.79.16/30192.168.79.17 to 192.168.79.18192.168.79.192
70192.168.79.20/30192.168.79.21 to 192.168.79.22192.168.79.232
71192.168.79.24/30192.168.79.25 to 192.168.79.26192.168.79.272
72192.168.79.28/30192.168.79.29 to 192.168.79.30192.168.79.312
73192.168.79.32/30192.168.79.33 to 192.168.79.34192.168.79.352
74192.168.79.36/30192.168.79.37 to 192.168.79.38192.168.79.392
75192.168.79.40/30192.168.79.41 to 192.168.79.42192.168.79.432
76192.168.79.44/30192.168.79.45 to 192.168.79.46192.168.79.472
77192.168.79.48/30192.168.79.49 to 192.168.79.50192.168.79.512
78192.168.79.52/30192.168.79.53 to 192.168.79.54192.168.79.552
79192.168.79.56/30192.168.79.57 to 192.168.79.58192.168.79.592
80192.168.79.60/30192.168.79.61 to 192.168.79.62192.168.79.632
81192.168.79.64/30192.168.79.65 to 192.168.79.66192.168.79.672
82192.168.79.68/30192.168.79.69 to 192.168.79.70192.168.79.712
83192.168.79.72/30192.168.79.73 to 192.168.79.74192.168.79.752
84192.168.79.76/30192.168.79.77 to 192.168.79.78192.168.79.792
85192.168.79.80/30192.168.79.81 to 192.168.79.82192.168.79.832
86192.168.79.84/30192.168.79.85 to 192.168.79.86192.168.79.872
87192.168.79.88/30192.168.79.89 to 192.168.79.90192.168.79.912
88192.168.79.92/30192.168.79.93 to 192.168.79.94192.168.79.952
89192.168.79.96/30192.168.79.97 to 192.168.79.98192.168.79.992
90192.168.79.100/30192.168.79.101 to 192.168.79.102192.168.79.1032
91192.168.79.104/30192.168.79.105 to 192.168.79.106192.168.79.1072
92192.168.79.108/30192.168.79.109 to 192.168.79.110192.168.79.1112
93192.168.79.112/30192.168.79.113 to 192.168.79.114192.168.79.1152
94192.168.79.116/30192.168.79.117 to 192.168.79.118192.168.79.1192
95192.168.79.120/30192.168.79.121 to 192.168.79.122192.168.79.1232
96192.168.79.124/30192.168.79.125 to 192.168.79.126192.168.79.1272
97192.168.79.128/30192.168.79.129 to 192.168.79.130192.168.79.1312
98192.168.79.132/30192.168.79.133 to 192.168.79.134192.168.79.1352
99192.168.79.136/30192.168.79.137 to 192.168.79.138192.168.79.1392
100192.168.79.140/30192.168.79.141 to 192.168.79.142192.168.79.1432
101192.168.79.144/30192.168.79.145 to 192.168.79.146192.168.79.1472
102192.168.79.148/30192.168.79.149 to 192.168.79.150192.168.79.1512
103192.168.79.152/30192.168.79.153 to 192.168.79.154192.168.79.1552
104192.168.79.156/30192.168.79.157 to 192.168.79.158192.168.79.1592
105192.168.79.160/30192.168.79.161 to 192.168.79.162192.168.79.1632
106192.168.79.164/30192.168.79.165 to 192.168.79.166192.168.79.1672
107192.168.79.168/30192.168.79.169 to 192.168.79.170192.168.79.1712
108192.168.79.172/30192.168.79.173 to 192.168.79.174192.168.79.1752
109192.168.79.176/30192.168.79.177 to 192.168.79.178192.168.79.1792
110192.168.79.180/30192.168.79.181 to 192.168.79.182192.168.79.1832
111192.168.79.184/30192.168.79.185 to 192.168.79.186192.168.79.1872
112192.168.79.188/30192.168.79.189 to 192.168.79.190192.168.79.1912
113192.168.79.192/30192.168.79.193 to 192.168.79.194192.168.79.1952
114192.168.79.196/30192.168.79.197 to 192.168.79.198192.168.79.1992
115192.168.79.200/30192.168.79.201 to 192.168.79.202192.168.79.2032
116192.168.79.204/30192.168.79.205 to 192.168.79.206192.168.79.2072
117192.168.79.208/30192.168.79.209 to 192.168.79.210192.168.79.2112
118192.168.79.212/30192.168.79.213 to 192.168.79.214192.168.79.2152
119192.168.79.216/30192.168.79.217 to 192.168.79.218192.168.79.2192
120192.168.79.220/30192.168.79.221 to 192.168.79.222192.168.79.2232
121192.168.79.224/30192.168.79.225 to 192.168.79.226192.168.79.2272
122192.168.79.228/30192.168.79.229 to 192.168.79.230192.168.79.2312
123192.168.79.232/30192.168.79.233 to 192.168.79.234192.168.79.2352
124192.168.79.236/30192.168.79.237 to 192.168.79.238192.168.79.2392
125192.168.79.240/30192.168.79.241 to 192.168.79.242192.168.79.2432
126192.168.79.244/30192.168.79.245 to 192.168.79.246192.168.79.2472
127192.168.79.248/30192.168.79.249 to 192.168.79.250192.168.79.2512
128192.168.79.252/30192.168.79.253 to 192.168.79.254192.168.79.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses